(define-module (lambda-packages packages clojure)
  #:use-module (gnu packages curl)
  #:use-module (guix gexp)
  #:use-module (guix build-system copy)
  #:use-module (guix download)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (gnu packages compression)
  #:use-module (guix packages))

(define-public joker
  (package
   (name "joker")
   (version "1.1.0")
   (synopsis "Joker is a small Clojure interpreter, linter and formatter written in Go.")
   (description "Joker is a small Clojure interpreter, linter and formatter written in Go.")
   (home-page "https://github.com/candid82/joker")
   (license license:epl1.0)
   (build-system copy-build-system)
   (inputs (list unzip))
   (arguments
    (list #:install-plan #~'(("joker" "bin/"))))
   (source (origin
            (method url-fetch)
            (sha256
             (base32 "140c651ml99skc1xyfavw97lyykgbisbx11478rmi5dl56kmvl52"))
            (uri (string-append
                  "https://github.com/candid82/joker/releases/download/v"
                  version
                  "/joker-linux-amd64.zip"))))))

(define-public clojure-lsp
  (package
   (name "clojure-lsp")
   (synopsis "A Language Server for Clojure(script). Taking a Cursive-like approach of statically analyzing code.")
   (description "A Language Server for Clojure(script). Taking a Cursive-like approach of statically analyzing code.")
   (version "2022.12.09-15.51.10")
   (home-page "https://clojure-lsp.io/")
   (license (license:fsf-free "https://mit-license.org/"))
   (build-system copy-build-system)
   (inputs (list unzip))
   (arguments
    (list #:install-plan #~'(("clojure-lsp" "bin/"))))
   (source (origin
            (method url-fetch)
            (uri
             (string-append
              "https://github.com/clojure-lsp/clojure-lsp/releases/download/"
              version
              "/clojure-lsp-native-linux-amd64.zip"))
            (sha256
             (base32 "1q02djwxm57y4sxg3jdqp37zlxkdv5vgy8ja2b5cs3f4kc0b89ib"))))))
